import xml.etree.ElementTree as ET

def get_unique_tags(xml_file):
    # Parsowanie pliku XML
    tree = ET.parse(xml_file)
    root = tree.getroot()

    # Inicjowanie słownika Selektors
    selektors = {}

    # Przeglądanie wszystkich elementów XML
    for elem in root.iter():
        # Dodawanie unikatowych elementów do słownika Selektors
        if elem.tag not in selektors:
            selektors[elem.tag] = elem.text

    # Zwracanie słownika Selektors
    return selektors


